<?php



$tdataexporta__o_dados = array();
$tdataexporta__o_dados[".searchableFields"] = array();
$tdataexporta__o_dados[".ShortName"] = "exporta__o_dados";
$tdataexporta__o_dados[".OwnerID"] = "";
$tdataexporta__o_dados[".OriginalTable"] = "Vinha";


$tdataexporta__o_dados[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdataexporta__o_dados[".originalPagesByType"] = $tdataexporta__o_dados[".pagesByType"];
$tdataexporta__o_dados[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdataexporta__o_dados[".originalPages"] = $tdataexporta__o_dados[".pages"];
$tdataexporta__o_dados[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdataexporta__o_dados[".originalDefaultPages"] = $tdataexporta__o_dados[".defaultPages"];

//	field labels
$fieldLabelsexporta__o_dados = array();
$fieldToolTipsexporta__o_dados = array();
$pageTitlesexporta__o_dados = array();
$placeHoldersexporta__o_dados = array();

if(mlang_getcurrentlang()=="Portuguese(Standard)")
{
	$fieldLabelsexporta__o_dados["Portuguese(Standard)"] = array();
	$fieldToolTipsexporta__o_dados["Portuguese(Standard)"] = array();
	$placeHoldersexporta__o_dados["Portuguese(Standard)"] = array();
	$pageTitlesexporta__o_dados["Portuguese(Standard)"] = array();
	$fieldLabelsexporta__o_dados["Portuguese(Standard)"]["CodVenda"] = "Cod Venda";
	$fieldToolTipsexporta__o_dados["Portuguese(Standard)"]["CodVenda"] = "";
	$placeHoldersexporta__o_dados["Portuguese(Standard)"]["CodVenda"] = "";
	$fieldLabelsexporta__o_dados["Portuguese(Standard)"]["CodUser"] = "Cod User";
	$fieldToolTipsexporta__o_dados["Portuguese(Standard)"]["CodUser"] = "";
	$placeHoldersexporta__o_dados["Portuguese(Standard)"]["CodUser"] = "";
	$fieldLabelsexporta__o_dados["Portuguese(Standard)"]["Data"] = "Data";
	$fieldToolTipsexporta__o_dados["Portuguese(Standard)"]["Data"] = "";
	$placeHoldersexporta__o_dados["Portuguese(Standard)"]["Data"] = "";
	$fieldLabelsexporta__o_dados["Portuguese(Standard)"]["CodPlanta"] = "Cod Planta";
	$fieldToolTipsexporta__o_dados["Portuguese(Standard)"]["CodPlanta"] = "";
	$placeHoldersexporta__o_dados["Portuguese(Standard)"]["CodPlanta"] = "";
	$fieldLabelsexporta__o_dados["Portuguese(Standard)"]["CodCliente"] = "Cod Cliente";
	$fieldToolTipsexporta__o_dados["Portuguese(Standard)"]["CodCliente"] = "";
	$placeHoldersexporta__o_dados["Portuguese(Standard)"]["CodCliente"] = "";
	$fieldLabelsexporta__o_dados["Portuguese(Standard)"]["Quantidade"] = "Quantidade";
	$fieldToolTipsexporta__o_dados["Portuguese(Standard)"]["Quantidade"] = "";
	$placeHoldersexporta__o_dados["Portuguese(Standard)"]["Quantidade"] = "";
	$fieldLabelsexporta__o_dados["Portuguese(Standard)"]["Confirmado"] = "Confirmado";
	$fieldToolTipsexporta__o_dados["Portuguese(Standard)"]["Confirmado"] = "";
	$placeHoldersexporta__o_dados["Portuguese(Standard)"]["Confirmado"] = "";
	$fieldLabelsexporta__o_dados["Portuguese(Standard)"]["NEntrega"] = "NEntrega";
	$fieldToolTipsexporta__o_dados["Portuguese(Standard)"]["NEntrega"] = "";
	$placeHoldersexporta__o_dados["Portuguese(Standard)"]["NEntrega"] = "";
	$fieldLabelsexporta__o_dados["Portuguese(Standard)"]["PE"] = "PE";
	$fieldToolTipsexporta__o_dados["Portuguese(Standard)"]["PE"] = "";
	$placeHoldersexporta__o_dados["Portuguese(Standard)"]["PE"] = "";
	$fieldLabelsexporta__o_dados["Portuguese(Standard)"]["Clone"] = "Clone";
	$fieldToolTipsexporta__o_dados["Portuguese(Standard)"]["Clone"] = "";
	$placeHoldersexporta__o_dados["Portuguese(Standard)"]["Clone"] = "";
	$fieldLabelsexporta__o_dados["Portuguese(Standard)"]["NE"] = "NE";
	$fieldToolTipsexporta__o_dados["Portuguese(Standard)"]["NE"] = "";
	$placeHoldersexporta__o_dados["Portuguese(Standard)"]["NE"] = "";
	$fieldLabelsexporta__o_dados["Portuguese(Standard)"]["CodMarza"] = "Cod Marza";
	$fieldToolTipsexporta__o_dados["Portuguese(Standard)"]["CodMarza"] = "";
	$placeHoldersexporta__o_dados["Portuguese(Standard)"]["CodMarza"] = "";
	$fieldLabelsexporta__o_dados["Portuguese(Standard)"]["Talea"] = "Talea";
	$fieldToolTipsexporta__o_dados["Portuguese(Standard)"]["Talea"] = "";
	$placeHoldersexporta__o_dados["Portuguese(Standard)"]["Talea"] = "";
	$fieldLabelsexporta__o_dados["Portuguese(Standard)"]["Nome"] = "Nome";
	$fieldToolTipsexporta__o_dados["Portuguese(Standard)"]["Nome"] = "";
	$placeHoldersexporta__o_dados["Portuguese(Standard)"]["Nome"] = "";
	$fieldLabelsexporta__o_dados["Portuguese(Standard)"]["Nome1"] = "Nome1";
	$fieldToolTipsexporta__o_dados["Portuguese(Standard)"]["Nome1"] = "";
	$placeHoldersexporta__o_dados["Portuguese(Standard)"]["Nome1"] = "";
	$fieldLabelsexporta__o_dados["Portuguese(Standard)"]["Dados"] = "Dados";
	$fieldToolTipsexporta__o_dados["Portuguese(Standard)"]["Dados"] = "";
	$placeHoldersexporta__o_dados["Portuguese(Standard)"]["Dados"] = "";
	$fieldLabelsexporta__o_dados["Portuguese(Standard)"]["CodRegiao"] = "Cod Regiao";
	$fieldToolTipsexporta__o_dados["Portuguese(Standard)"]["CodRegiao"] = "";
	$placeHoldersexporta__o_dados["Portuguese(Standard)"]["CodRegiao"] = "";
	$fieldLabelsexporta__o_dados["Portuguese(Standard)"]["Clone1"] = "Clone1";
	$fieldToolTipsexporta__o_dados["Portuguese(Standard)"]["Clone1"] = "";
	$placeHoldersexporta__o_dados["Portuguese(Standard)"]["Clone1"] = "";
	if (count($fieldToolTipsexporta__o_dados["Portuguese(Standard)"]))
		$tdataexporta__o_dados[".isUseToolTips"] = true;
}


	$tdataexporta__o_dados[".NCSearch"] = true;


	$tdataexporta__o_dados[".scrollGridBody"] = true;

$tdataexporta__o_dados[".shortTableName"] = "exporta__o_dados";
$tdataexporta__o_dados[".nSecOptions"] = 0;

$tdataexporta__o_dados[".mainTableOwnerID"] = "";
$tdataexporta__o_dados[".entityType"] = 1;

$tdataexporta__o_dados[".strOriginalTableName"] = "Vinha";

	



$tdataexporta__o_dados[".showAddInPopup"] = true;

$tdataexporta__o_dados[".showEditInPopup"] = false;

$tdataexporta__o_dados[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
			;
$popupPagesLayoutNames["add"] = "add";
$tdataexporta__o_dados[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataexporta__o_dados[".listAjax"] = false;
//	temporary
$tdataexporta__o_dados[".listAjax"] = false;

	$tdataexporta__o_dados[".audit"] = true;

	$tdataexporta__o_dados[".locking"] = true;


$pages = $tdataexporta__o_dados[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataexporta__o_dados[".edit"] = true;
	$tdataexporta__o_dados[".afterEditAction"] = 1;
	$tdataexporta__o_dados[".closePopupAfterEdit"] = 1;
	$tdataexporta__o_dados[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataexporta__o_dados[".add"] = true;
$tdataexporta__o_dados[".afterAddAction"] = 1;
$tdataexporta__o_dados[".closePopupAfterAdd"] = 1;
$tdataexporta__o_dados[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataexporta__o_dados[".list"] = true;
}



$tdataexporta__o_dados[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataexporta__o_dados[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataexporta__o_dados[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataexporta__o_dados[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataexporta__o_dados[".printFriendly"] = true;
}



$tdataexporta__o_dados[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataexporta__o_dados[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataexporta__o_dados[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataexporta__o_dados[".isUseAjaxSuggest"] = true;

$tdataexporta__o_dados[".rowHighlite"] = true;



			

$tdataexporta__o_dados[".ajaxCodeSnippetAdded"] = false;

$tdataexporta__o_dados[".buttonsAdded"] = false;

$tdataexporta__o_dados[".addPageEvents"] = false;

// use timepicker for search panel
$tdataexporta__o_dados[".isUseTimeForSearch"] = false;


$tdataexporta__o_dados[".badgeColor"] = "B22222";


$tdataexporta__o_dados[".allSearchFields"] = array();
$tdataexporta__o_dados[".filterFields"] = array();
$tdataexporta__o_dados[".requiredSearchFields"] = array();

$tdataexporta__o_dados[".googleLikeFields"] = array();
$tdataexporta__o_dados[".googleLikeFields"][] = "CodVenda";
$tdataexporta__o_dados[".googleLikeFields"][] = "CodUser";
$tdataexporta__o_dados[".googleLikeFields"][] = "Data";
$tdataexporta__o_dados[".googleLikeFields"][] = "CodPlanta";
$tdataexporta__o_dados[".googleLikeFields"][] = "CodCliente";
$tdataexporta__o_dados[".googleLikeFields"][] = "Quantidade";
$tdataexporta__o_dados[".googleLikeFields"][] = "Confirmado";
$tdataexporta__o_dados[".googleLikeFields"][] = "NEntrega";
$tdataexporta__o_dados[".googleLikeFields"][] = "PE";
$tdataexporta__o_dados[".googleLikeFields"][] = "Clone";
$tdataexporta__o_dados[".googleLikeFields"][] = "NE";
$tdataexporta__o_dados[".googleLikeFields"][] = "CodMarza";
$tdataexporta__o_dados[".googleLikeFields"][] = "Talea";
$tdataexporta__o_dados[".googleLikeFields"][] = "Nome";
$tdataexporta__o_dados[".googleLikeFields"][] = "Nome1";
$tdataexporta__o_dados[".googleLikeFields"][] = "Dados";
$tdataexporta__o_dados[".googleLikeFields"][] = "CodRegiao";
$tdataexporta__o_dados[".googleLikeFields"][] = "Clone1";



$tdataexporta__o_dados[".tableType"] = "list";

$tdataexporta__o_dados[".printerPageOrientation"] = 0;
$tdataexporta__o_dados[".nPrinterPageScale"] = 100;

$tdataexporta__o_dados[".nPrinterSplitRecords"] = 40;

$tdataexporta__o_dados[".geocodingEnabled"] = false;










$tdataexporta__o_dados[".pageSize"] = 999;

$tdataexporta__o_dados[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataexporta__o_dados[".strOrderBy"] = $tstrOrderBy;

$tdataexporta__o_dados[".orderindexes"] = array();

$tdataexporta__o_dados[".sqlHead"] = "SELECT `Vinha`.`CodVenda`,  `Vinha`.`CodUser`,  `Vinha`.`Data`,  `Vinha`.`CodPlanta`,  `Vinha`.`CodCliente`,  `Vinha`.`Quantidade`,  `Vinha`.`Confirmado`,  `Vinha`.`NEntrega`,  `Vinha`.`PE`,  `Vinha`.`Clone`,  `Vinha`.`NE`,  `Vinha`.`CodMarza`,  `Assegnatos`.`Talea`,  `Admins`.`Nome`,  `Clientes`.`Nome` AS `Nome1`,  `Clientes`.`Dados`,  `Clientes`.`CodRegiao`,  `Assegnatos`.`Clone` AS `Clone1`";
$tdataexporta__o_dados[".sqlFrom"] = "FROM `Vinha`  LEFT OUTER JOIN `Assegnatos` ON `Vinha`.`CodPlanta` = `Assegnatos`.`Codice`  INNER JOIN `Admins` ON `Vinha`.`CodUser` = `Admins`.`CodAdin`  INNER JOIN `Clientes` ON `Vinha`.`CodCliente` = `Clientes`.`CodCliente`";
$tdataexporta__o_dados[".sqlWhereExpr"] = "";
$tdataexporta__o_dados[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataexporta__o_dados[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataexporta__o_dados[".arrGroupsPerPage"] = $arrGPP;

$tdataexporta__o_dados[".highlightSearchResults"] = true;

$tableKeysexporta__o_dados = array();
$tdataexporta__o_dados[".Keys"] = $tableKeysexporta__o_dados;


$tdataexporta__o_dados[".hideMobileList"] = array();




//	CodVenda
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "CodVenda";
	$fdata["GoodName"] = "CodVenda";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("Exporta__o_dados","CodVenda");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "CodVenda";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Vinha`.`CodVenda`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexporta__o_dados["CodVenda"] = $fdata;
		$tdataexporta__o_dados[".searchableFields"][] = "CodVenda";
//	CodUser
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "CodUser";
	$fdata["GoodName"] = "CodUser";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("Exporta__o_dados","CodUser");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "CodUser";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Vinha`.`CodUser`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "Users";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "coduser";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "Nome";

	

	
	$edata["LookupOrderBy"] = "Nome";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexporta__o_dados["CodUser"] = $fdata;
		$tdataexporta__o_dados[".searchableFields"][] = "CodUser";
//	Data
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "Data";
	$fdata["GoodName"] = "Data";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("Exporta__o_dados","Data");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "Data";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Vinha`.`Data`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexporta__o_dados["Data"] = $fdata;
		$tdataexporta__o_dados[".searchableFields"][] = "Data";
//	CodPlanta
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "CodPlanta";
	$fdata["GoodName"] = "CodPlanta";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("Exporta__o_dados","CodPlanta");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "CodPlanta";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Vinha`.`CodPlanta`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "Assegnatos";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "Varieta";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "Varieta";

				$edata["LookupWhere"] = "Assegnato.Varieta <> 0";


	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexporta__o_dados["CodPlanta"] = $fdata;
		$tdataexporta__o_dados[".searchableFields"][] = "CodPlanta";
//	CodCliente
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "CodCliente";
	$fdata["GoodName"] = "CodCliente";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("Exporta__o_dados","CodCliente");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "CodCliente";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Vinha`.`CodCliente`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "Clientes";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "CodCliente";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "Nome";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexporta__o_dados["CodCliente"] = $fdata;
		$tdataexporta__o_dados[".searchableFields"][] = "CodCliente";
//	Quantidade
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "Quantidade";
	$fdata["GoodName"] = "Quantidade";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("Exporta__o_dados","Quantidade");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Quantidade";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Vinha`.`Quantidade`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexporta__o_dados["Quantidade"] = $fdata;
		$tdataexporta__o_dados[".searchableFields"][] = "Quantidade";
//	Confirmado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "Confirmado";
	$fdata["GoodName"] = "Confirmado";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("Exporta__o_dados","Confirmado");
	$fdata["FieldType"] = 16;

	
	
	
			

		$fdata["strField"] = "Confirmado";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Vinha`.`Confirmado`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
				$fdata["filterFormat"] = "Options list";
		$fdata["showCollapsed"] = false;

	
	
	
		$fdata["filterCheckedMessageType"] = "Text";
	$fdata["filterCheckedMessageText"] = "Checked";
	$fdata["filterUncheckedMessageType"] = "Text";
	$fdata["filterUncheckedMessageText"] = "Unchecked";

//end of Filters settings


	$tdataexporta__o_dados["Confirmado"] = $fdata;
		$tdataexporta__o_dados[".searchableFields"][] = "Confirmado";
//	NEntrega
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "NEntrega";
	$fdata["GoodName"] = "NEntrega";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("Exporta__o_dados","NEntrega");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "NEntrega";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Vinha`.`NEntrega`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexporta__o_dados["NEntrega"] = $fdata;
		$tdataexporta__o_dados[".searchableFields"][] = "NEntrega";
//	PE
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "PE";
	$fdata["GoodName"] = "PE";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("Exporta__o_dados","PE");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "PE";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Vinha`.`PE`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexporta__o_dados["PE"] = $fdata;
		$tdataexporta__o_dados[".searchableFields"][] = "PE";
//	Clone
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "Clone";
	$fdata["GoodName"] = "Clone";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("Exporta__o_dados","Clone");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "Clone";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Vinha`.`Clone`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexporta__o_dados["Clone"] = $fdata;
		$tdataexporta__o_dados[".searchableFields"][] = "Clone";
//	NE
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "NE";
	$fdata["GoodName"] = "NE";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("Exporta__o_dados","NE");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "NE";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Vinha`.`NE`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexporta__o_dados["NE"] = $fdata;
		$tdataexporta__o_dados[".searchableFields"][] = "NE";
//	CodMarza
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "CodMarza";
	$fdata["GoodName"] = "CodMarza";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("Exporta__o_dados","CodMarza");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "CodMarza";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Vinha`.`CodMarza`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexporta__o_dados["CodMarza"] = $fdata;
		$tdataexporta__o_dados[".searchableFields"][] = "CodMarza";
//	Talea
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "Talea";
	$fdata["GoodName"] = "Talea";
	$fdata["ownerTable"] = "Assegnatos";
	$fdata["Label"] = GetFieldLabel("Exporta__o_dados","Talea");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Talea";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Assegnatos`.`Talea`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexporta__o_dados["Talea"] = $fdata;
		$tdataexporta__o_dados[".searchableFields"][] = "Talea";
//	Nome
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "Nome";
	$fdata["GoodName"] = "Nome";
	$fdata["ownerTable"] = "Admins";
	$fdata["Label"] = GetFieldLabel("Exporta__o_dados","Nome");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Nome";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Admins`.`Nome`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexporta__o_dados["Nome"] = $fdata;
		$tdataexporta__o_dados[".searchableFields"][] = "Nome";
//	Nome1
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "Nome1";
	$fdata["GoodName"] = "Nome1";
	$fdata["ownerTable"] = "Clientes";
	$fdata["Label"] = GetFieldLabel("Exporta__o_dados","Nome1");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Nome";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Clientes`.`Nome`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexporta__o_dados["Nome1"] = $fdata;
		$tdataexporta__o_dados[".searchableFields"][] = "Nome1";
//	Dados
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 16;
	$fdata["strName"] = "Dados";
	$fdata["GoodName"] = "Dados";
	$fdata["ownerTable"] = "Clientes";
	$fdata["Label"] = GetFieldLabel("Exporta__o_dados","Dados");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Dados";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Clientes`.`Dados`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexporta__o_dados["Dados"] = $fdata;
		$tdataexporta__o_dados[".searchableFields"][] = "Dados";
//	CodRegiao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 17;
	$fdata["strName"] = "CodRegiao";
	$fdata["GoodName"] = "CodRegiao";
	$fdata["ownerTable"] = "Clientes";
	$fdata["Label"] = GetFieldLabel("Exporta__o_dados","CodRegiao");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "CodRegiao";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Clientes`.`CodRegiao`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexporta__o_dados["CodRegiao"] = $fdata;
		$tdataexporta__o_dados[".searchableFields"][] = "CodRegiao";
//	Clone1
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 18;
	$fdata["strName"] = "Clone1";
	$fdata["GoodName"] = "Clone1";
	$fdata["ownerTable"] = "Assegnatos";
	$fdata["Label"] = GetFieldLabel("Exporta__o_dados","Clone1");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Clone";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Assegnatos`.`Clone`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexporta__o_dados["Clone1"] = $fdata;
		$tdataexporta__o_dados[".searchableFields"][] = "Clone1";


$tables_data["Exportação dados"]=&$tdataexporta__o_dados;
$field_labels["Exporta__o_dados"] = &$fieldLabelsexporta__o_dados;
$fieldToolTips["Exporta__o_dados"] = &$fieldToolTipsexporta__o_dados;
$placeHolders["Exporta__o_dados"] = &$placeHoldersexporta__o_dados;
$page_titles["Exporta__o_dados"] = &$pageTitlesexporta__o_dados;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["Exportação dados"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["Exportação dados"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_exporta__o_dados()
{
$proto1=array();
$proto1["m_strHead"] = "SELECT";
$proto1["m_strFieldList"] = "`Vinha`.`CodVenda`,  `Vinha`.`CodUser`,  `Vinha`.`Data`,  `Vinha`.`CodPlanta`,  `Vinha`.`CodCliente`,  `Vinha`.`Quantidade`,  `Vinha`.`Confirmado`,  `Vinha`.`NEntrega`,  `Vinha`.`PE`,  `Vinha`.`Clone`,  `Vinha`.`NE`,  `Vinha`.`CodMarza`,  `Assegnatos`.`Talea`,  `Admins`.`Nome`,  `Clientes`.`Nome` AS `Nome1`,  `Clientes`.`Dados`,  `Clientes`.`CodRegiao`,  `Assegnatos`.`Clone` AS `Clone1`";
$proto1["m_strFrom"] = "FROM `Vinha`  LEFT OUTER JOIN `Assegnatos` ON `Vinha`.`CodPlanta` = `Assegnatos`.`Codice`  INNER JOIN `Admins` ON `Vinha`.`CodUser` = `Admins`.`CodAdin`  INNER JOIN `Clientes` ON `Vinha`.`CodCliente` = `Clientes`.`CodCliente`";
$proto1["m_strWhere"] = "";
$proto1["m_strOrderBy"] = "";
	
		;
			$proto1["cipherer"] = null;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = false;
$proto3["m_inBrackets"] = false;
$proto3["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto3);

$proto1["m_where"] = $obj;
$proto5=array();
$proto5["m_sql"] = "";
$proto5["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto5["m_column"]=$obj;
$proto5["m_contained"] = array();
$proto5["m_strCase"] = "";
$proto5["m_havingmode"] = false;
$proto5["m_inBrackets"] = false;
$proto5["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto5);

$proto1["m_having"] = $obj;
$proto1["m_fieldlist"] = array();
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "CodVenda",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "Exportação dados"
));

$proto7["m_sql"] = "`Vinha`.`CodVenda`";
$proto7["m_srcTableName"] = "Exportação dados";
$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto1["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "CodUser",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "Exportação dados"
));

$proto9["m_sql"] = "`Vinha`.`CodUser`";
$proto9["m_srcTableName"] = "Exportação dados";
$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto1["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "Data",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "Exportação dados"
));

$proto11["m_sql"] = "`Vinha`.`Data`";
$proto11["m_srcTableName"] = "Exportação dados";
$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto1["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "CodPlanta",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "Exportação dados"
));

$proto13["m_sql"] = "`Vinha`.`CodPlanta`";
$proto13["m_srcTableName"] = "Exportação dados";
$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto1["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "CodCliente",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "Exportação dados"
));

$proto15["m_sql"] = "`Vinha`.`CodCliente`";
$proto15["m_srcTableName"] = "Exportação dados";
$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto1["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "Quantidade",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "Exportação dados"
));

$proto17["m_sql"] = "`Vinha`.`Quantidade`";
$proto17["m_srcTableName"] = "Exportação dados";
$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto1["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "Confirmado",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "Exportação dados"
));

$proto19["m_sql"] = "`Vinha`.`Confirmado`";
$proto19["m_srcTableName"] = "Exportação dados";
$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto1["m_fieldlist"][]=$obj;
						$proto21=array();
			$obj = new SQLField(array(
	"m_strName" => "NEntrega",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "Exportação dados"
));

$proto21["m_sql"] = "`Vinha`.`NEntrega`";
$proto21["m_srcTableName"] = "Exportação dados";
$proto21["m_expr"]=$obj;
$proto21["m_alias"] = "";
$obj = new SQLFieldListItem($proto21);

$proto1["m_fieldlist"][]=$obj;
						$proto23=array();
			$obj = new SQLField(array(
	"m_strName" => "PE",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "Exportação dados"
));

$proto23["m_sql"] = "`Vinha`.`PE`";
$proto23["m_srcTableName"] = "Exportação dados";
$proto23["m_expr"]=$obj;
$proto23["m_alias"] = "";
$obj = new SQLFieldListItem($proto23);

$proto1["m_fieldlist"][]=$obj;
						$proto25=array();
			$obj = new SQLField(array(
	"m_strName" => "Clone",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "Exportação dados"
));

$proto25["m_sql"] = "`Vinha`.`Clone`";
$proto25["m_srcTableName"] = "Exportação dados";
$proto25["m_expr"]=$obj;
$proto25["m_alias"] = "";
$obj = new SQLFieldListItem($proto25);

$proto1["m_fieldlist"][]=$obj;
						$proto27=array();
			$obj = new SQLField(array(
	"m_strName" => "NE",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "Exportação dados"
));

$proto27["m_sql"] = "`Vinha`.`NE`";
$proto27["m_srcTableName"] = "Exportação dados";
$proto27["m_expr"]=$obj;
$proto27["m_alias"] = "";
$obj = new SQLFieldListItem($proto27);

$proto1["m_fieldlist"][]=$obj;
						$proto29=array();
			$obj = new SQLField(array(
	"m_strName" => "CodMarza",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "Exportação dados"
));

$proto29["m_sql"] = "`Vinha`.`CodMarza`";
$proto29["m_srcTableName"] = "Exportação dados";
$proto29["m_expr"]=$obj;
$proto29["m_alias"] = "";
$obj = new SQLFieldListItem($proto29);

$proto1["m_fieldlist"][]=$obj;
						$proto31=array();
			$obj = new SQLField(array(
	"m_strName" => "Talea",
	"m_strTable" => "Assegnatos",
	"m_srcTableName" => "Exportação dados"
));

$proto31["m_sql"] = "`Assegnatos`.`Talea`";
$proto31["m_srcTableName"] = "Exportação dados";
$proto31["m_expr"]=$obj;
$proto31["m_alias"] = "";
$obj = new SQLFieldListItem($proto31);

$proto1["m_fieldlist"][]=$obj;
						$proto33=array();
			$obj = new SQLField(array(
	"m_strName" => "Nome",
	"m_strTable" => "Admins",
	"m_srcTableName" => "Exportação dados"
));

$proto33["m_sql"] = "`Admins`.`Nome`";
$proto33["m_srcTableName"] = "Exportação dados";
$proto33["m_expr"]=$obj;
$proto33["m_alias"] = "";
$obj = new SQLFieldListItem($proto33);

$proto1["m_fieldlist"][]=$obj;
						$proto35=array();
			$obj = new SQLField(array(
	"m_strName" => "Nome",
	"m_strTable" => "Clientes",
	"m_srcTableName" => "Exportação dados"
));

$proto35["m_sql"] = "`Clientes`.`Nome`";
$proto35["m_srcTableName"] = "Exportação dados";
$proto35["m_expr"]=$obj;
$proto35["m_alias"] = "Nome1";
$obj = new SQLFieldListItem($proto35);

$proto1["m_fieldlist"][]=$obj;
						$proto37=array();
			$obj = new SQLField(array(
	"m_strName" => "Dados",
	"m_strTable" => "Clientes",
	"m_srcTableName" => "Exportação dados"
));

$proto37["m_sql"] = "`Clientes`.`Dados`";
$proto37["m_srcTableName"] = "Exportação dados";
$proto37["m_expr"]=$obj;
$proto37["m_alias"] = "";
$obj = new SQLFieldListItem($proto37);

$proto1["m_fieldlist"][]=$obj;
						$proto39=array();
			$obj = new SQLField(array(
	"m_strName" => "CodRegiao",
	"m_strTable" => "Clientes",
	"m_srcTableName" => "Exportação dados"
));

$proto39["m_sql"] = "`Clientes`.`CodRegiao`";
$proto39["m_srcTableName"] = "Exportação dados";
$proto39["m_expr"]=$obj;
$proto39["m_alias"] = "";
$obj = new SQLFieldListItem($proto39);

$proto1["m_fieldlist"][]=$obj;
						$proto41=array();
			$obj = new SQLField(array(
	"m_strName" => "Clone",
	"m_strTable" => "Assegnatos",
	"m_srcTableName" => "Exportação dados"
));

$proto41["m_sql"] = "`Assegnatos`.`Clone`";
$proto41["m_srcTableName"] = "Exportação dados";
$proto41["m_expr"]=$obj;
$proto41["m_alias"] = "Clone1";
$obj = new SQLFieldListItem($proto41);

$proto1["m_fieldlist"][]=$obj;
$proto1["m_fromlist"] = array();
												$proto43=array();
$proto43["m_link"] = "SQLL_MAIN";
			$proto44=array();
$proto44["m_strName"] = "Vinha";
$proto44["m_srcTableName"] = "Exportação dados";
$proto44["m_columns"] = array();
$proto44["m_columns"][] = "CodVenda";
$proto44["m_columns"][] = "CodUser";
$proto44["m_columns"][] = "Data";
$proto44["m_columns"][] = "CodPlanta";
$proto44["m_columns"][] = "CodCliente";
$proto44["m_columns"][] = "Quantidade";
$proto44["m_columns"][] = "Confirmado";
$proto44["m_columns"][] = "Pago20%";
$proto44["m_columns"][] = "Encomendado";
$proto44["m_columns"][] = "PagoTotal";
$proto44["m_columns"][] = "Fornecido";
$proto44["m_columns"][] = "NEntrega";
$proto44["m_columns"][] = "PE";
$proto44["m_columns"][] = "Clone";
$proto44["m_columns"][] = "NE";
$proto44["m_columns"][] = "Saldo";
$proto44["m_columns"][] = "CodMarza";
$proto44["m_columns"][] = "Saldo1";
$proto44["m_columns"][] = "Escolha";
$obj = new SQLTable($proto44);

$proto43["m_table"] = $obj;
$proto43["m_sql"] = "`Vinha`";
$proto43["m_alias"] = "";
$proto43["m_srcTableName"] = "Exportação dados";
$proto45=array();
$proto45["m_sql"] = "";
$proto45["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto45["m_column"]=$obj;
$proto45["m_contained"] = array();
$proto45["m_strCase"] = "";
$proto45["m_havingmode"] = false;
$proto45["m_inBrackets"] = false;
$proto45["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto45);

$proto43["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto43);

$proto1["m_fromlist"][]=$obj;
												$proto47=array();
$proto47["m_link"] = "SQLL_LEFTJOIN";
			$proto48=array();
$proto48["m_strName"] = "Assegnatos";
$proto48["m_srcTableName"] = "Exportação dados";
$proto48["m_columns"] = array();
$proto48["m_columns"][] = "Data";
$proto48["m_columns"][] = "Marza";
$proto48["m_columns"][] = "Talea";
$proto48["m_columns"][] = "Varieta";
$proto48["m_columns"][] = "Totale";
$proto48["m_columns"][] = "Codice";
$proto48["m_columns"][] = "Clone";
$obj = new SQLTable($proto48);

$proto47["m_table"] = $obj;
$proto47["m_sql"] = "LEFT OUTER JOIN `Assegnatos` ON `Vinha`.`CodPlanta` = `Assegnatos`.`Codice`";
$proto47["m_alias"] = "";
$proto47["m_srcTableName"] = "Exportação dados";
$proto49=array();
$proto49["m_sql"] = "`Vinha`.`CodPlanta` = `Assegnatos`.`Codice`";
$proto49["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "CodPlanta",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "Exportação dados"
));

$proto49["m_column"]=$obj;
$proto49["m_contained"] = array();
$proto49["m_strCase"] = "= `Assegnatos`.`Codice`";
$proto49["m_havingmode"] = false;
$proto49["m_inBrackets"] = false;
$proto49["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto49);

$proto47["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto47);

$proto1["m_fromlist"][]=$obj;
												$proto51=array();
$proto51["m_link"] = "SQLL_INNERJOIN";
			$proto52=array();
$proto52["m_strName"] = "Admins";
$proto52["m_srcTableName"] = "Exportação dados";
$proto52["m_columns"] = array();
$proto52["m_columns"][] = "CodAdin";
$proto52["m_columns"][] = "Login";
$proto52["m_columns"][] = "Pass";
$proto52["m_columns"][] = "Nome";
$obj = new SQLTable($proto52);

$proto51["m_table"] = $obj;
$proto51["m_sql"] = "INNER JOIN `Admins` ON `Vinha`.`CodUser` = `Admins`.`CodAdin`";
$proto51["m_alias"] = "";
$proto51["m_srcTableName"] = "Exportação dados";
$proto53=array();
$proto53["m_sql"] = "`Vinha`.`CodUser` = `Admins`.`CodAdin`";
$proto53["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "CodUser",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "Exportação dados"
));

$proto53["m_column"]=$obj;
$proto53["m_contained"] = array();
$proto53["m_strCase"] = "= `Admins`.`CodAdin`";
$proto53["m_havingmode"] = false;
$proto53["m_inBrackets"] = false;
$proto53["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto53);

$proto51["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto51);

$proto1["m_fromlist"][]=$obj;
												$proto55=array();
$proto55["m_link"] = "SQLL_INNERJOIN";
			$proto56=array();
$proto56["m_strName"] = "Clientes";
$proto56["m_srcTableName"] = "Exportação dados";
$proto56["m_columns"] = array();
$proto56["m_columns"][] = "CodCliente";
$proto56["m_columns"][] = "Nome";
$proto56["m_columns"][] = "Dados";
$proto56["m_columns"][] = "CodRegiao";
$proto56["m_columns"][] = "CodPHC";
$proto56["m_columns"][] = "Escolha";
$obj = new SQLTable($proto56);

$proto55["m_table"] = $obj;
$proto55["m_sql"] = "INNER JOIN `Clientes` ON `Vinha`.`CodCliente` = `Clientes`.`CodCliente`";
$proto55["m_alias"] = "";
$proto55["m_srcTableName"] = "Exportação dados";
$proto57=array();
$proto57["m_sql"] = "`Vinha`.`CodCliente` = `Clientes`.`CodCliente`";
$proto57["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "CodCliente",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "Exportação dados"
));

$proto57["m_column"]=$obj;
$proto57["m_contained"] = array();
$proto57["m_strCase"] = "= `Clientes`.`CodCliente`";
$proto57["m_havingmode"] = false;
$proto57["m_inBrackets"] = false;
$proto57["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto57);

$proto55["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto55);

$proto1["m_fromlist"][]=$obj;
$proto1["m_groupby"] = array();
$proto1["m_orderby"] = array();
$proto1["m_srcTableName"]="Exportação dados";		
$obj = new SQLQuery($proto1);

	return $obj;
}
$queryData_exporta__o_dados = createSqlQuery_exporta__o_dados();


	
		;

																		

$tdataexporta__o_dados[".sqlquery"] = $queryData_exporta__o_dados;

$tableEvents["Exportação dados"] = new eventsBase;
$tdataexporta__o_dados[".hasEvents"] = false;

?>